Bug 837210 - Unable to read package metadata.
Unable to read package metadata.
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 03:22 EDT by Petr Sklenar
Modified: 2013-01-10 01:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-16 15:36:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log from RHEL-7.0-20120626.n.0 Server x86_64 (10.91 KB, text/plain)
2012-07-05 08:05 EDT, Bill Therrien
no flags Details

  None (edit)
Description Petr Sklenar 2012-07-03 03:22:50 EDT
Description of problem:
Unable to read package metadata. This may be due to a missing repodata directory. Please ensure that your install tree has been correctly generated.


Version-Release number of selected component (if applicable):
RHEL-7.0-20120620.n.0

How reproducible:
time to time

Steps to Reproduce:
1. clen job : https://beaker.engineering.redhat.com/jobs/254882
  
Actual results:
There are more details at ticket:
https://engineering.redhat.com/rt/Ticket/Display.html?id=158782

the installation does not start as it throws the following error:

┌──────────────────────────┤ Error ├──────────────────────────┐
│ │
│ Unable to read package metadata. This may be due to a │
│ missing repodata directory. Please ensure that your │
│ install tree has been correctly generated. │
│ │
│ failure: │
│ repodata/5fe459f4ca7fb3dbceee846c9d5aecac592e84f9f38dba │
│ 4daf081041b5190c47-primary.sqlite.bz2 from anaconda-0: │
│ [Errno 256] No more mirrors to try. │
│ │
│ ┌────────────────┐ ┌──────┐ ┌───────┐ ┌──────────┐ │
│ │ Exit installer │ │ Edit │ │ Retry │ │ Continue │ │
│ └────────────────┘ └──────┘ └───────┘ └──────────┘ │
│ │
│ │
└─────────────────────────────────────────────────────────────┘


Expected results:
machine is installed

Additional info:
Comment 1 Chris Lumens 2012-07-03 09:32:04 EDT
You need to attach the anaconda logs to this bug report as individual, uncompressed attachments.  Doing anything else prevents us from searching bugzilla in the future.  Please do this every time you file an anaconda bug or we will have to close things as INSUFFICIENT_DATA.
Comment 2 Bill Therrien 2012-07-05 08:05:52 EDT
Created attachment 596394 [details]
anaconda.log from RHEL-7.0-20120626.n.0 Server x86_64

anaconda.log from one of my jobs attached
Comment 3 Jesse Keating 2012-07-05 13:40:38 EDT
So this was looking on the NFS mount storage.bos.redhat.com:/vol/engineering/devarchive/redhat/nightly/RHEL-7.0-20120626.n.0/compose/Server/x86_64/os/ and trying to read repodata from there.  It wasn't able to find the repodata file on that mount.  Is it possible that mount was out of sync at the time of the install attempt?  Were you able to reproduce the problem at a later time?

Note You need to log in before you can comment on or make changes to this bug.